For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Store Printer Details

Update Store Printer Details

Required permissions: PRINTER

put
/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storePrinterUidstringRequired

Reference to a storePrinterUid

Body
printerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
eventTypestring Ā· enumOptionalPossible values:
Responses
200

Example response

application/json
eventTypestring Ā· enumRequiredPossible values:
storePrinterUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "printerUid": "text",
  "eventType": "PICKUP_LABEL"
}
200

Example response

{
  "store": {
    "name": "text",
    "storeUid": "text",
    "organizationUid": "text",
    "organizationName": "text"
  },
  "printer": {
    "printerUid": "text",
    "name": "text",
    "type": "LABEL",
    "availablePrintActions": [
      "RECEIPT"
    ]
  },
  "eventType": "PICKUP_LABEL",
  "storePrinterUid": "text"
}

Last updated

Was this helpful?